Bug 135990 - aplay/gstreamer issues with ALSA devices
Summary: aplay/gstreamer issues with ALSA devices
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
low
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-16 12:02 UTC by David Mohring
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-29 13:16:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Mohring 2004-10-16 12:02:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041012
Firefox/0.10.1

Description of problem:
Rawhide 2004-10-15

aplay and gstreamer fail with 
a) ALSA output device set to hw:0
b) ALSA output when using OSS or ALSA input

See GStreamer for bug details.
http://bugzilla.gnome.org/show_bug.cgi?id=155575


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. gst-launch-0.8 sinesrc ! alsasink device=hw:0
2. aplay -D hw:0,0 /usr/share/sounds/info.wav
3. gst-launch-0.8  osssrc device=/dev/dsp1 !  alsasink device=plughw:0,0
4. gst-launch-0.8  alsasrc device=plughw:1,0 !  alsasink device=plughw:0,0

Actual Results:  Depending on the command used. 
#1,#2 Consistently return error message 
#3,#4 Just output silence

Expected Results:  With Gstreamer alsasrc or osssrc works OK if the
sink is osssink
> gst-launch-0.8  alsasrc  device=hw:1,0 ! osssink device=/dev/dsp
> gst-launch-0.8  alsasrc  device=hw:1,0 ! osssink device=/dev/dsp1
> gst-launch-0.8  alsasrc  device=plughw:1,0 ! osssink device=/dev/dsp
> gst-launch-0.8  alsasrc  device=plughw:1,0 ! osssink device=/dev/dsp1
> gst-launch-0.8  osssrc device=/dev/dsp1 ! osssink device=/dev/dsp
> gst-launch-0.8  osssrc device=/dev/dsp1 ! osssink device=/dev/dsp1



Additional info:

http://bugzilla.gnome.org/show_bug.cgi?id=155575

Comment 1 Martin Stransky 2005-01-05 13:54:53 UTC
Is plughw:1,0 input device? You don't have to use hw:0 directly, it is
hardware of your sound card and it probably don't support many
wave-formats directly.


Note You need to log in before you can comment on or make changes to this bug.